


function loadGraph(json)
{

	var start = new Date(json.data.metadata.startDate);
		start = start / 1000;
	var end = new Date(json.data.metadata.endDate);
		end = end / 1000;

		var barChart =  new dhtmlXChart({
			view:"stackedBar",
			container:"chart_container",
			value:"#edd#",
			color:"#FF0000",
			tooltip: {
				template: function (obj)
				{
					var date = new Date(obj.$unit*1000);
					return "(" + obj.edd + ")" + date;
				}
			},
			xAxis:
			{
			 	title:"Time of Day", 
			 	lines: function(obj){
		 		 	if((obj.$unit % 3600) == 0)
	 		 		{
		 		 		return true;
	 		 		}
		 		 	return false;
			 	},
			 	template: function(obj) 
			 	{
			 //		console.debug(obj.$unit);
			 		if(obj.$unit)
			 		{
			 		 	if((obj.$unit % 3600) == 0)
			 		 		{
				 		 		var date = new Date(obj.$unit*1000);
				 		 		return date.getHours() + ":00";
			 		 		}
			 		}
			 		//return "";
				},
			 	value: function(obj) 
		 		{
			 		
		 			var date = new Date(Date.parse(obj.date));
		 			return date / 1000;
		 		},
		 		units:
		 		{ 
		 			start: start,
		 			end: end,
		 			next: function(d)
		 			{
		 				return d + 60;
		 			}
		 			
		 		}
			 },
			 yAxis:
			 {
			 	title:"Users per Hour",
			 	lines: true
			 }
		});
	barChart.addSeries({
	    value:"#edd#",
		color:"#FFFF00"
	});
	barChart.parse(json.entries,"json");
}

$(document).ready(function(){

	$.ajax({
		url: "http://localhost:8080/ClearMonitorGUI/AjaxHandler?name=PizzaSteve",
		datatype:"json",
		async:false,
		success : function(data) {
		
           json = JSON.parse(data);
           console.debug(json);
           loadGraph(json);

        }
	});

});
		